import { Subscriber, ActionSubscriber } from '../../';
/**
 * @public
 */
export declare const defaultCollapsed: boolean;
/**
 * @public
 */
export declare function defaultFilter(_mutation: Parameters<Subscriber>['0'], _prevState: any, _state: any): boolean;
/**
 * @public
 */
export declare function defaultActionFilter(_action: Parameters<ActionSubscriber>['0']): boolean;
/**
 * @public
 */
export declare function defaultTransformer(state: any): any;
/**
 * @public
 */
export declare function defaultMutationTransformer(mutation: Parameters<Subscriber>['0']): {
    key: string;
    payload: unknown;
};
/**
 * @public
 */
export declare function defaultActionTransformer(action: Parameters<ActionSubscriber>['0']): {
    key: string;
    payload: unknown;
};
/**
 * @public
 */
export declare const defaultLogger: Console;
/**
 * @public
 */
export declare type RequiredOptions = {
    collapsed: boolean;
    filter: typeof defaultFilter;
    actionFilter: typeof defaultActionFilter;
    transformer: typeof defaultTransformer;
    mutationTransformer: typeof defaultMutationTransformer;
    actionTransformer: typeof defaultActionTransformer;
    logMutations: boolean;
    logActions: boolean;
    logger: typeof defaultLogger;
};
/**
 * @public
 */
export declare type Options = Partial<RequiredOptions>;
/**
 * @public
 */
export declare function createLoggerPlugin(options?: Options): (store: any) => void;
