/**
 * @public
 */
export declare type OmitFirstParameter<F> = F extends (x: any, ...params: infer Rest) => infer R ? (...params: Rest) => R : never;
/**
 * @public
 */
export declare type ShallowReadonly<T> = {
    readonly [P in keyof T]: T[P];
};
/**
 * @public
 */
export declare type DeepReadonly<T> = T extends Func ? T : T extends object ? {
    readonly [P in keyof T]: DeepReadonly<T[P]>;
} : T;
/**
 * @public
 */
export declare type Func = {
    (...args: any): any;
};
/**
 * @public
 */
export declare type AsyncFunc = {
    (...args: any): Promise<any>;
};
/**
 * @public
 */
export declare function getOwnKeys<O extends Record<any, any>>(object: O): (keyof O)[];
/**
 * @public
 */
export declare function assert(condition: unknown, message: string): void;
/**
 * @public
 */
export declare function isPlainObject(object: unknown): boolean;
